#ifndef __SERIAL_H
#define __SERIAL_H

//########################################################################
//Write buffer mainly for better USB performance !
//Not needed with a REAL serial port. Set TEXTBUFFERSIZE=1 in config.ini
//########################################################################
#define BUFFER_SIZE			32  //don't make this bigger !

HANDLE SerialInit(char*, int); 

char SerialGetc(HANDLE*);

void SerialPutc(HANDLE*, unsigned char);

char* SerialGets(HANDLE*);

void SerialPuts(HANDLE*, unsigned char*);

int SerialPutToBuffer(HANDLE*, unsigned char);
int SerialFlushBuffer(HANDLE*);

extern unsigned int textbuffersize;	   //number of bytes when buffer is flushed

void sleep(int);

#endif